Bug 114757 - Does not use correct aspect ratio when using xrandr
Summary: Does not use correct aspect ratio when using xrandr
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ggv   
(Show other bugs)
Version: 1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-02 14:45 UTC by diego.santacruz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 22:11:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description diego.santacruz 2004-02-02 14:45:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
I'm regularly using xrandr to switch between my laptop's resolution
and aspect ratio 16:10 1680x1050 to an external monitor 4:3 1400x1050.
When doing this, ggv does not retrive the correct aspect ratio from
the screen and displays distorted images.

Version-Release number of selected component (if applicable):
ggv-2.4.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. Start X at 16:10 aspect ratio, 1680x1050
2. Switch X aspect ratio with xrandr to 4:3, 1400x1050
3. Load a file with ggv
    

Actual Results:  The rendering in ggv's window is horizontally squeezed.

Expected Results:  The proportions of the displayed image should be
the natural ones.

Additional info:

I tested displaying straight from gs, without ggv (i.e. 'gs test.eps')
and ghostscript uses the correct aspect ratio.

Comment 1 Dan Williams 2004-11-17 18:24:25 UTC
Mass reassign to Marco.

Comment 2 Ray Strode [halfline] 2005-05-11 22:11:10 UTC
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.


Note You need to log in before you can comment on or make changes to this bug.